* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.container-fluid {
    min-height: 100%;
}

.entete {
    height: 110px;
    background-image: url('/assets/img/logo.png');
    background-size: cover;
    background-position: contain;
    background-repeat: no-repeat;
}
/* POLICE MODERNE */
body {
    font-family: 'Cairo', sans-serif;
}

/* SIDEBAR */
.sidebar {
    width: 250px;
    min-height: 100vh;
    background: #f8f9fa;
    border-right: 1px solid #CCC;
    border-left: 1px solid #CCC;
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.03);
}

/* TITLE */
.sidebar-title {
    font-size: 18px;
    font-weight: 600;
    margin-bottom: 25px;
    color: #2c3e50;
    border-bottom: 1px solid #e5e5e5;
    padding-bottom: 10px;
}

/* MENU */
.sidebar-menu {
    list-style: none;
    padding: 0;
    margin: 0;
}

/* LI */
.sidebar-menu li {
    margin-bottom: 8px;
    cursor: pointer;
}

/* LINKS */
.sidebar-link {
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 10px 12px;
    border-radius: 8px;
    text-decoration: none;
    font-size: 1.1rem;
    color: #495057;
    font-weight: 600;
    transition: all 0.25s ease;
}

/* ICONS */
.sidebar-link i {
    font-size: 16px;
    width: 20px;
    text-align: center;
    color: #6c757d;
}

/* HOVER */
.sidebar-link:hover {
    background: #e9ecef;
    color: #0d6efd;
}

/* ACTIVE */
.sidebar-link.active {
    font-weight: 500;
    color: #0d6efd;
    border-right: 3px solid #0d6efd;
    background: #e7f1ff;
}

/* LOGOUT STYLE */
.sidebar-link>div {
    cursor: pointer;
    color: #dc3545;
}

.sidebar-link>div:hover {
    background: #f8d7da;
    color: #b02a37;
}
.intro-content p{font-size: 1.5rem;line-height: 2.5rem;font-weight: 400;}
.content {
    margin-right: 260px;
    padding: 30px;
}

.course-card {
    transition: transform 0.2s;
}

.course-card .card-text {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.course-card:hover {
    transform: scale(1.03);
}

.icon-pdf {
    color: #e63946;
}

.icon-video {
    color: #1da1f2;
}

.academic-year {
    background: linear-gradient(135deg, #007bff, #0D47A1);
    color: #fff;
    height: 85px;
    width: 100%;
    text-align: center;
    font-size: 1rem;
    font-weight: 500;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
    display: flex;
    align-items: center;
    justify-content: center;
}
.tajawal-extralight {
    font-family: "Tajawal", sans-serif;
    font-weight: 200;
    font-style: normal;
}

.tajawal-light {
    font-family: "Tajawal", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.tajawal-regular {
    font-family: "Tajawal", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.tajawal-medium {
    font-family: "Tajawal", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.tajawal-bold {
    font-family: "Tajawal", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.tajawal-extrabold {
    font-family: "Tajawal", sans-serif;
    font-weight: 800;
    font-style: normal;
}

.tajawal-black {
    font-family: "Tajawal", sans-serif;
    font-weight: 900;
    font-style: normal;
}

.cycle-radio input[type="radio"] {
    display: none;
}

.cycle-radio span {
    position: relative;
    padding-right: 28px;
    cursor: pointer;
}

.cycle-radio span:before {
    content: "";
    position: absolute;
    right: 0;
    top: 50%;
    width: 18px;
    height: 18px;
    border: 2px solid #337ab7;
    border-radius: 50%;
    transform: translateY(-50%);
}

.cycle-radio input[type="radio"]:checked+span:after {
    content: "";
    position: absolute;
    right: 4px;
    top: 50%;
    width: 10px;
    height: 10px;
    background: #337ab7;
    border-radius: 50%;
    transform: translateY(-50%);
}

.number-icon {
    width: 32px;
    height: 32px;
    border-radius: 16px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-weight: 700;
    font-size: 16px;
}

.social-icons a {
    color: #fff;
    font-size: 1.2rem;
    transition: 0.3s ease;
}

.navbar {
    font-size: 0.95rem;
}

.navbar .nav-link i {
    color: #e9ecef;
    font-size: 1rem;
}

.navbar .nav-link:hover i {
    color: #ffffff;
}

.university-logo {
    max-height: 80px;
}

.form-control:focus {
    border-color: #0d6efd;
    box-shadow: 0 0 0 0.15rem rgba(13, 110, 253, 0.25);
}


.select2-container {
    width: 100% !important;
    
}

.select2-container--bootstrap-5 .select2-selection {
    min-height: 38px;
    padding: 6px 22px;
    border-radius: 0.375rem;
    border: 1px solid #ced4da;
    background-color: #fff;
    font-size: 0.95rem;
}

.select2-container--bootstrap-5 .select2-selection__rendered {
    color: #212529;
    padding-right: 18px!important;
    
}
.select2-selection__clear{display: none!important;}
.select2-selection__placeholder {
    color: #6c757d;
}


.select2-container--bootstrap-5.select2-container--focus .select2-selection {
    border-color: #0d6efd;
    box-shadow: 0 0 0 0.2rem rgba(13, 110, 253, .25);
}

.select2-dropdown {
    border-radius: 0.375rem;
    border: 1px solid #dee2e6;
}

/* Option */
.select2-results__option {
    padding: 8px 12px;
    font-size: 0.9rem;
  
}

/* Hover */
.select2-results__option--highlighted {
    background-color: #0d6efd !important;
    color: #fff;
}

/* Sélectionné */
.select2-results__option--selected {
    background-color: #e9ecef;
}

.select2-container--disabled .select2-selection {
    background-color: #e9ecef;
    cursor: not-allowed;
    opacity: 0.8;
}
  .chat-list {
      max-height: 80vh;
      overflow-y: auto;
  }

  .chat-box {
      height: 65vh;
      overflow-y: auto;
      background: #fff;
      padding: 15px;
      border-radius: 6px;
  }

  .message.me {
      background-color: #0d6efd;
      color: white;
      border-radius: 12px 12px 0 12px;
      padding: 8px 12px;
      max-width: 70%;
      margin-bottom: 10px;
      margin-right: auto;
  }

  .message.other {
      background-color: #e9ecef;
      border-radius: 12px 12px 12px 0;
      padding: 8px 12px;
      max-width: 70%;
      margin-bottom: 10px;
      margin-left: auto;
  }
  .color-chat{background-color: #0277BD;}
 .messages-container {
     max-height: 400px;
     overflow-y: auto;
     scroll-behavior: smooth;
 }